
#import "b4i_main.h"
#import "b4i_questions.h"
#import "b4i_questionsdata.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 1821795376;
}


- (NSString*)  _application_background{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Private Sub Application_Background";
[B4IRDebugUtils shared].currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=65536;
 //BA.debugLineNum = 65536;BA.debugLine="Private Sub Application_Start (Nav As NavigationController)";
[B4IRDebugUtils shared].currentLine=65538;
 //BA.debugLineNum = 65538;BA.debugLine="TabControl.Initialize(\"TabControl\")";
[self._tabcontrol Initialize:self.bi :@"TabControl"];
[B4IRDebugUtils shared].currentLine=65540;
 //BA.debugLineNum = 65540;BA.debugLine="Page1.Initialize(\"page1\")";
[self._page1 Initialize:self.bi :@"page1"];
[B4IRDebugUtils shared].currentLine=65541;
 //BA.debugLineNum = 65541;BA.debugLine="Page1.RootPanel.LoadLayout(\"page1\")";
[[self._page1 RootPanel] LoadLayout:@"page1" :self.bi];
[B4IRDebugUtils shared].currentLine=65542;
 //BA.debugLineNum = 65542;BA.debugLine="Page1.Title = \"Welcome To Help\"";
[self._page1 setTitle:@"Welcome To Help"];
[B4IRDebugUtils shared].currentLine=65543;
 //BA.debugLineNum = 65543;BA.debugLine="Page2.Initialize(\"page2\")";
[self._page2 Initialize:self.bi :@"page2"];
[B4IRDebugUtils shared].currentLine=65544;
 //BA.debugLineNum = 65544;BA.debugLine="Page2.RootPanel.LoadLayout(\"page2\")";
[[self._page2 RootPanel] LoadLayout:@"page2" :self.bi];
[B4IRDebugUtils shared].currentLine=65545;
 //BA.debugLineNum = 65545;BA.debugLine="Page2.Title = \"The Guide\"";
[self._page2 setTitle:@"The Guide"];
[B4IRDebugUtils shared].currentLine=65548;
 //BA.debugLineNum = 65548;BA.debugLine="SetTabButtons";
[self _settabbuttons];
[B4IRDebugUtils shared].currentLine=65549;
 //BA.debugLineNum = 65549;BA.debugLine="App.KeyController = TabControl";
[self._app setKeyController:(UIViewController*)((self._tabcontrol).object)];
[B4IRDebugUtils shared].currentLine=65551;
 //BA.debugLineNum = 65551;BA.debugLine="TabControl.Pages = Array(Page1, Page2)";
[self._tabcontrol setPages:[self.bi ArrayToList:[[B4IArray alloc]initObjectsWithData:@[[B4I nilToNSNull:(NSObject*)((self._page1).object)],[B4I nilToNSNull:(NSObject*)((self._page2).object)]]]]];
[B4IRDebugUtils shared].currentLine=65554;
 //BA.debugLineNum = 65554;BA.debugLine="questionsData.settingData";
[self._questionsdata _settingdata];
[B4IRDebugUtils shared].currentLine=65555;
 //BA.debugLineNum = 65555;BA.debugLine="userChoice = Array As TextView(Null, txvQ1, txvQ2, txvQ3, txvQ4, txvQ5, txvQ6)";
self._userchoice = [[B4IArray alloc]initObjectsWithData:@[(B4ITextViewWrapper*) [B4IObjectWrapper createWrapper:[B4ITextViewWrapper new] object:(UITextView*)([self.__c Null])],[B4I nilToNSNull:self._txvq1],[B4I nilToNSNull:self._txvq2],[B4I nilToNSNull:self._txvq3],[B4I nilToNSNull:self._txvq4],[B4I nilToNSNull:self._txvq5],[B4I nilToNSNull:self._txvq6]]];
[B4IRDebugUtils shared].currentLine=65557;
 //BA.debugLineNum = 65557;BA.debugLine="loadPage1";
[self _loadpage1];
[B4IRDebugUtils shared].currentLine=65558;
 //BA.debugLineNum = 65558;BA.debugLine="LoadPage2";
[self _loadpage2];
[B4IRDebugUtils shared].currentLine=65561;
 //BA.debugLineNum = 65561;BA.debugLine="timer2.Initialize(\"timer2\", 1000)";
[self._timer2 Initialize:self.bi :@"timer2" :(long long) (1000)];
[B4IRDebugUtils shared].currentLine=65562;
 //BA.debugLineNum = 65562;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _settabbuttons{
[B4IRDebugUtils shared].currentModule=@"main";
B4ITabBarItemItemWrapper* _tbi = nil;
[B4IRDebugUtils shared].currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Private Sub SetTabButtons";
[B4IRDebugUtils shared].currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="Dim tbi As TabBarItem									' define a new TabBarItem";
_tbi = [B4ITabBarItemItemWrapper new];
[B4IRDebugUtils shared].currentLine=983043;
 //BA.debugLineNum = 983043;BA.debugLine="tbi.Initialize(\"Welcome\", Null, Null) 	' initialize without icons";
[_tbi Initialize:@"Welcome" :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])] :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])]];
[B4IRDebugUtils shared].currentLine=983044;
 //BA.debugLineNum = 983044;BA.debugLine="tbi.SetFont(Font.CreateNew(15))				' set the font size";
[_tbi SetFont:[[self.__c Font] CreateNew:(float) (15)]];
[B4IRDebugUtils shared].currentLine=983045;
 //BA.debugLineNum = 983045;BA.debugLine="tbi.SetTitleOffset(0, -12)						' set the text offset to show it in the center";
[_tbi SetTitleOffset:(float) (0) :(float) (-12)];
[B4IRDebugUtils shared].currentLine=983046;
 //BA.debugLineNum = 983046;BA.debugLine="Page1.TabBarItem = tbi								' set this TabBarItem to Page1";
[self._page1 setTabBarItem:_tbi];
[B4IRDebugUtils shared].currentLine=983049;
 //BA.debugLineNum = 983049;BA.debugLine="Dim tbi As TabBarItem									' define a new TabBarItem";
_tbi = [B4ITabBarItemItemWrapper new];
[B4IRDebugUtils shared].currentLine=983050;
 //BA.debugLineNum = 983050;BA.debugLine="tbi.Initialize(\"Guide\", Null, Null) 	' initialize without icons";
[_tbi Initialize:@"Guide" :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])] :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])]];
[B4IRDebugUtils shared].currentLine=983051;
 //BA.debugLineNum = 983051;BA.debugLine="tbi.SetFont(Font.CreateNew(15))				' set the font size";
[_tbi SetFont:[[self.__c Font] CreateNew:(float) (15)]];
[B4IRDebugUtils shared].currentLine=983052;
 //BA.debugLineNum = 983052;BA.debugLine="tbi.SetTitleOffset(0, -12)						' set the text offset to show it in the center";
[_tbi SetTitleOffset:(float) (0) :(float) (-12)];
[B4IRDebugUtils shared].currentLine=983053;
 //BA.debugLineNum = 983053;BA.debugLine="Page2.TabBarItem = tbi								' set this TabBarItem to Page1";
[self._page2 setTabBarItem:_tbi];
[B4IRDebugUtils shared].currentLine=983055;
 //BA.debugLineNum = 983055;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _loadpage1{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub loadPage1";
[B4IRDebugUtils shared].currentLine=262145;
 //BA.debugLineNum = 262145;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _loadpage2{
[B4IRDebugUtils shared].currentModule=@"main";
long long _j = 0L;
[B4IRDebugUtils shared].currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub LoadPage2";
[B4IRDebugUtils shared].currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="If currentQ = numberOfQuestions Then currentQ = 0";
if (self._currentq==self._numberofquestions) { 
self._currentq = (int) (0);};
[B4IRDebugUtils shared].currentLine=393219;
 //BA.debugLineNum = 393219;BA.debugLine="Dim j As Long";
_j = 0L;
[B4IRDebugUtils shared].currentLine=393220;
 //BA.debugLineNum = 393220;BA.debugLine="For j = 1 To questionsData.q(currentQ).NoOfAnswers";
{
const long step41 = 1;
const long limit41 = (long long) ([((b4i_questions*)[self._questionsdata._q getObjectFast:self._currentq]) _getnoofanswers:nil]);
for (_j = (long long) (1); (step41 > 0 && _j <= limit41) || (step41 < 0 && _j >= limit41); _j = ((long long)(0 + _j + step41))) {
[B4IRDebugUtils shared].currentLine=393221;
 //BA.debugLineNum = 393221;BA.debugLine="lblQuestion.text = questionsData.q(currentQ).getQuestion";
[self._lblquestion setText:[((b4i_questions*)[self._questionsdata._q getObjectFast:self._currentq]) _getquestion:nil]];
[B4IRDebugUtils shared].currentLine=393222;
 //BA.debugLineNum = 393222;BA.debugLine="userChoice(j).Visible = True";
[((B4ITextViewWrapper*)[self._userchoice getObjectFast:(int) (_j)]) setVisible:[self.__c True]];
[B4IRDebugUtils shared].currentLine=393223;
 //BA.debugLineNum = 393223;BA.debugLine="userChoice(j).Color = Colors.Transparent";
[((B4ITextViewWrapper*)[self._userchoice getObjectFast:(int) (_j)]) setColor:[[self.__c Colors] Transparent]];
[B4IRDebugUtils shared].currentLine=393224;
 //BA.debugLineNum = 393224;BA.debugLine="userChoice(j).TextColor = Colors.Black";
[((B4ITextViewWrapper*)[self._userchoice getObjectFast:(int) (_j)]) setTextColor:[[self.__c Colors] Black]];
[B4IRDebugUtils shared].currentLine=393225;
 //BA.debugLineNum = 393225;BA.debugLine="userChoice(j).Text = questionsData.q(currentQ).getAnswers(j-1)";
[((B4ITextViewWrapper*)[self._userchoice getObjectFast:(int) (_j)]) setText:[((b4i_questions*)[self._questionsdata._q getObjectFast:self._currentq]) _getanswers:nil :(int) (_j-1)]];
 }
};
[B4IRDebugUtils shared].currentLine=393228;
 //BA.debugLineNum = 393228;BA.debugLine="If questionsData.q(currentQ).NoOfAnswers < numberOfButtons Then";
if ([((b4i_questions*)[self._questionsdata._q getObjectFast:self._currentq]) _getnoofanswers:nil]<self._numberofbuttons) { 
[B4IRDebugUtils shared].currentLine=393229;
 //BA.debugLineNum = 393229;BA.debugLine="For j = (questionsData.q(currentQ).NoOfAnswers + 1) To numberOfButtons";
{
const long step49 = 1;
const long limit49 = (long long) (self._numberofbuttons);
for (_j = (long long) (([((b4i_questions*)[self._questionsdata._q getObjectFast:self._currentq]) _getnoofanswers:nil]+1)); (step49 > 0 && _j <= limit49) || (step49 < 0 && _j >= limit49); _j = ((long long)(0 + _j + step49))) {
[B4IRDebugUtils shared].currentLine=393230;
 //BA.debugLineNum = 393230;BA.debugLine="userChoice(j).Visible = False";
[((B4ITextViewWrapper*)[self._userchoice getObjectFast:(int) (_j)]) setVisible:[self.__c False]];
 }
};
 };
[B4IRDebugUtils shared].currentLine=393234;
 //BA.debugLineNum = 393234;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _btndone_click{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Sub btnDone_click";
[B4IRDebugUtils shared].currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="txvSummary.Visible = False";
[self._txvsummary setVisible:[self.__c False]];
[B4IRDebugUtils shared].currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="btnDone.Visible = False";
[self._btndone setVisible:[self.__c False]];
[B4IRDebugUtils shared].currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="txvDone.visible = False";
[self._txvdone setVisible:[self.__c False]];
[B4IRDebugUtils shared].currentLine=524292;
 //BA.debugLineNum = 524292;BA.debugLine="currentQ=0";
self._currentq = (int) (0);
[B4IRDebugUtils shared].currentLine=524293;
 //BA.debugLineNum = 524293;BA.debugLine="LoadPage2";
[self _loadpage2];
[B4IRDebugUtils shared].currentLine=524294;
 //BA.debugLineNum = 524294;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _loadsummary{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub loadSummary";
[B4IRDebugUtils shared].currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="txvSummary.visible = True";
[self._txvsummary setVisible:[self.__c True]];
[B4IRDebugUtils shared].currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="btnDone.visible = True";
[self._btndone setVisible:[self.__c True]];
[B4IRDebugUtils shared].currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="txvDone.visible = True";
[self._txvdone setVisible:[self.__c True]];
[B4IRDebugUtils shared].currentLine=458757;
 //BA.debugLineNum = 458757;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As Int)";
[B4IRDebugUtils shared].currentLine=131073;
 //BA.debugLineNum = 131073;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];
[[b4i_questionsdata new]initializeModule];

}
- (NSString*)  _process_globals{
self._questionsdata=[b4i_questionsdata new];
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=0;
 //BA.debugLineNum = 0;BA.debugLine="Sub Process_Globals";
return @"";
}
- (NSString*)  _timer2_tick{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=1179648;
 //BA.debugLineNum = 1179648;BA.debugLine="Sub timer2_Tick";
[B4IRDebugUtils shared].currentLine=1179649;
 //BA.debugLineNum = 1179649;BA.debugLine="timer2.Enabled = False";
[self._timer2 setEnabled:[self.__c False]];
[B4IRDebugUtils shared].currentLine=1179650;
 //BA.debugLineNum = 1179650;BA.debugLine="If currentQ = numberOfQuestions Then";
if (self._currentq==self._numberofquestions) { 
[B4IRDebugUtils shared].currentLine=1179651;
 //BA.debugLineNum = 1179651;BA.debugLine="currentQ = 0";
self._currentq = (int) (0);
[B4IRDebugUtils shared].currentLine=1179652;
 //BA.debugLineNum = 1179652;BA.debugLine="loadSummary";
[self _loadsummary];
 }else {
[B4IRDebugUtils shared].currentLine=1179654;
 //BA.debugLineNum = 1179654;BA.debugLine="LoadPage2";
[self _loadpage2];
 };
[B4IRDebugUtils shared].currentLine=1179656;
 //BA.debugLineNum = 1179656;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _txvq_click{
[B4IRDebugUtils shared].currentModule=@"main";
B4ITextViewWrapper* _txv = nil;
[B4IRDebugUtils shared].currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Sub txvQ_Click";
[B4IRDebugUtils shared].currentLine=1114113;
 //BA.debugLineNum = 1114113;BA.debugLine="Dim txv As TextView";
_txv = [B4ITextViewWrapper new];
[B4IRDebugUtils shared].currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="txv = Sender";
_txv.object = (UITextView*)([self.__c Sender:self.bi]);
[B4IRDebugUtils shared].currentLine=1114115;
 //BA.debugLineNum = 1114115;BA.debugLine="txv.TextColor = Colors.RGB(255,250,250)";
[_txv setTextColor:[[self.__c Colors] RGB:(int) (255) :(int) (250) :(int) (250)]];
[B4IRDebugUtils shared].currentLine=1114116;
 //BA.debugLineNum = 1114116;BA.debugLine="txv.Color = Colors.RGB(132,0,0)";
[_txv setColor:[[self.__c Colors] RGB:(int) (132) :(int) (0) :(int) (0)]];
[B4IRDebugUtils shared].currentLine=1114117;
 //BA.debugLineNum = 1114117;BA.debugLine="currentQ = currentQ + 1";
self._currentq = (int) (self._currentq+1);
[B4IRDebugUtils shared].currentLine=1114118;
 //BA.debugLineNum = 1114118;BA.debugLine="timer2.Enabled = True";
[self._timer2 setEnabled:[self.__c True]];
[B4IRDebugUtils shared].currentLine=1114120;
 //BA.debugLineNum = 1114120;BA.debugLine="End Sub";
return @"";
}
@end